Name:           low-memory-monitor
Version:        1.1
Release:        2%{?dist}
Summary:        Monitors low-memory conditions

License:        GPLv3+
URL:            https://gitlab.freedesktop.org/hadess/low-memory-monitor
Source0:        https://gitlab.freedesktop.org/hadess/low-memory-monitor/uploads/e9a3f55a615245292b4aa64f40beb4fc/low-memory-monitor-1.1.tar.xz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  gtk-doc
BuildRequires:  systemd

%{?systemd_requires}

%description
The Low Memory Monitor is an early boot daemon that will monitor memory
pressure information coming from the kernel, and, first, send a signal
to user-space applications when memory is running low, and then activate
the kernel's OOM killer when memory is running really low.

%package docs
Summary:        Documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description docs

This package contains the documentation for %{name}.

%prep
%autosetup


%build
%meson -Dgtk_doc=true
%meson_build


%install
%meson_install


%post
%systemd_post low-memory-monitor.service

%preun
%systemd_preun low-memory-monitor.service

%postun
%systemd_postun_with_restart low-memory-monitor.service


%files
%license COPYING
%doc NEWS README.md
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.LowMemoryMonitor.conf
%config %{_sysconfdir}/low-memory-monitor.conf
%{_unitdir}/low-memory-monitor.service
%{_libexecdir}/low-memory-monitor

%files docs
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%{_datadir}/gtk-doc/html/%{name}/

%changelog
* Thu Nov 07 2019 Bastien Nocera <bnocera@redhat.com> - 1.1-2
+ low-memory-monitor-1.1-2
- Add missing requires for the main package in the docs one
- Add config tag for low-memory-monitor.conf

* Thu Nov 07 2019 Bastien Nocera <bnocera@redhat.com> - 1.1-1
+ low-memory-monitor-1.1-1
- Initial Fedora packaging
